Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

修改组

PUT /accounts/{account_id}/core/v1/groups/{group_id}

将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

group_id

string

path

True

要列出的组集合的 ID

请求正文

将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-group"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

False

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

False

组资源的名称。如果在创建时未指定,则该值将设置为

  • 如果在 authID 中找到第一个公用名 (CN) 相对可分辨名称 (RDN),

  • authID,否则。如果在更新时未指定,则会保留该值,不进行任何修改。定义的值为:

  • 最小长度:1

  • 最大长度:2048

authProvider

string

False

组资源的身份验证提供程序。定义的值为:

  • “ldap”

authID

string

False

LDAP 组的可分辨名称 (DN)。定义的值为:

  • 最小长度:1

  • 最大长度:2048

元数据

"type_astra_metadata_update"

False

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

请求示例
{
  "type": "application/astra-group",
  "version": "1.1",
  "name": "my-qa-group",
  "authID": "CN=QA,CN=Groups,DC=example,DC=com"
}

响应

Status: 204, Indicates if the group resource was updated.

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/7",
  "title": "Invalid JSON payload",
  "detail": "The request body is not valid JSON.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

响应

Status: 500, Internal server error
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/34",
  "title": "Internal server error",
  "detail": "The server was unable to process this request.",
  "status": "500"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/1",
  "title": "Resource not found",
  "detail": "The resource specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因